
<%= search_form_for @query do |f| %>
  <% fields.each do |field| %>
    <div class="relative mr-5 w-3/4 text-cool-gray-400 focus-within:text-cool-gray-600">
      <div class="absolute pl-1 inset-y-0 left-0 flex items-center pointer-events-none">
        <svg class="h-5 w-5" fill="currentColor" viewBox="0 0 20 20">
          <path fill-rule="evenodd" clip-rule="evenodd" d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z" />
        </svg>
      </div>
      <%= f.search_field field.name, placeholder: "Search #{field.label}", class: @css_classes[:search_field] %>
    </div>
  <% end %>
  <%= f.submit class: @css_classes[:submit] %>
<% end %>
